From fbcae4d84218daafd258b308f65b0ba027a820cd Mon Sep 17 00:00:00 2001
From: Jeremy Mikola <jmikola@gmail.com>
Date: Wed, 11 Apr 2018 11:37:28 -0400
Subject: [PATCH] CDRIVER-2605 unset OpenSSL id callback independently

---
 src/mongoc/mongoc-openssl.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/mongoc/mongoc-openssl.c b/src/mongoc/mongoc-openssl.c
index 9d390e807..6afaad3b2 100644
--- a/src/mongoc/mongoc-openssl.c
+++ b/src/mongoc/mongoc-openssl.c
@@ -658,6 +658,9 @@ _mongoc_openssl_thread_cleanup (void)
    if (CRYPTO_get_locking_callback () ==
        _mongoc_openssl_thread_locking_callback) {
       CRYPTO_set_locking_callback (NULL);
+   }
+
+   if (CRYPTO_get_id_callback () == _mongoc_openssl_thread_id_callback) {
       CRYPTO_set_id_callback (NULL);
    }
 
